//+------------------------------------------------------------------+
//|                                                          Lot.mq4 |
//|                      Copyright  2010, MetaQuotes Software Corp. |
//|                                        http://www.metaquotes.net |
//+------------------------------------------------------------------+
#property copyright "Copyright  2010, MetaQuotes Software Corp."
#property link      "http://www.metaquotes.net"
#property show_inputs


extern string s1;
extern string s2;

int start()
  {
  
double ynax=MarketInfo(s1, MODE_TICKVALUE)/MarketInfo(s2, MODE_TICKVALUE)*
(iOpen(s1,0,0)/MarketInfo(s1, MODE_TICKSIZE))/(iOpen(s2,0,0)/MarketInfo(s2, MODE_TICKSIZE));

double minx=0, miny=0, mindelta=9999;

for (double x=0.01; x<=1; x+=0.01)
{
   for (double y=0.01; y<=1; y+=0.01)
   {
      double delta=MathAbs(y/x-ynax);
      if (delta<mindelta)
      {
         minx=x;
         miny=y;
         mindelta=delta;
      }
   }
}


Alert(" ",s1," = ",minx,",  ",s2," = ",miny,",      = ",mindelta);

   return(0);
  }
//+------------------------------------------------------------------+